Loading...
Searching...
No Matches
websocketpp::transport::asio::socket::socket_category Class Reference

Error category related to asio transport socket policies. More...

`#include <base.hpp>`

Inheritance diagram for websocketpp::transport::asio::socket::socket_category:

## Public Member Functions

char const * | name () const _WEBSOCKETPP_NOEXCEPT_TOKEN_
std::string | message (int value) const

## Detailed Description

Error category related to asio transport socket policies.

Definition at line 110 of file base.hpp.

## Member Function Documentation

## message()

std::string websocketpp::transport::asio::socket::socket_category::message | ( | int | value | ) | const

inline

Definition at line 116 of file base.hpp.

## name()

char const * websocketpp::transport::asio::socket::socket_category::name | ( |  | ) | const

inline

Definition at line 112 of file base.hpp.

The documentation for this class was generated from the following file:

- websocketpp/transport/asio/security/base.hpp